sccs-rmdel(1)

NAME
sccs-rmdel, rmdel - remove a delta from an SCCS file

SYNOPSIS

/usr/ccs/bin/rmdel [-d] -rsid s.filename...

DESCRIPTION

The rmdel utility removes the delta specified by the SCCS delta ID (SID) supplied with -r. The delta to be removed must be the most recent (leaf) delta in its branch. In addition, the SID must not be that of a version checked out for editing: it must not appear in any entry of the version lock file (p.file).

If you created the delta, or, if you own the file and directory and have write permission, you can remove it with rmdel.

If a directory name is used in place of the s.filename argument, the rmdel command applies to all s.files in that directory. Unreadable s.files produce an error; processing continues with the next file (if any). The use of `-' as the s.filename argument indicates that the names of files are to be read from the standard input, one s.file per line.

OPTIONS

The following option is supported:

-d  Fully discard the delta. By default only the file content for the related SID is removed and the delta table entry is changed to the new type `R'. When in discard mode, the delta tyble entry is also completely discarded.

-rsid
    Remove the version corresponding to the indicated SID (delta). This option is mandatory.

-V  Prints the rmdel version number string and exists.

ENVIRONMENT VARIABLES

See environ(5) for descriptions of the following environment variables that affect the execution of rmdel: LANG, LC_ALL, LC_CTYPE, LC_MESSAGES, and NLSPATH.

FILES

p.file
    permissions (lock) file for checked-out versions

s.file
    history file

x.file
    temporary copy of the s.file; renamed to the s.file after completion

z.file
    temporary lock file contains the binary process id in host byte order followed by the host name

ATTRIBUTES

See attributes(5) for descriptions of the following attributes:

SEE ALSO

sccs(1), sccs-admin(1), sccs-cdc(1), sccs-comb(1), sccs-delta(1), sccs-get(1), sccs-help(1), sccs-prs(1), sccs-prt(1), sccs-sact(1), sccs-sccsdiff(1), sccs-unget(1), sccs-val(1), sccscvt(1), sccslog(1), bdiff(1), diff(1), what(1), changeset(4), sccsfile(4), attributes(5), environ(5), standards(5).

DIAGNOSTICS

Use the SCCS help command for explanations (see sccs-help(1)).